/**
 * @file Client_Task.cpp
 *
 * Client_Task.cpp,v 1.4 2002/02/10 15:11:47 bala Exp
 *
 * @author Carlos O'Ryan <coryan@uci.edu>
 */

#include "Client_Task.h"
#include "tao/Environment.h"

ACE_RCSID(EC_Scalability, Client_Task, "Client_Task.cpp,v 1.4 2002/02/10 15:11:47 bala Exp")

ECS_Client_Task::ECS_Client_Task (CORBA::ORB_ptr orb)
  :  orb_ (CORBA::ORB::_duplicate (orb))
{
}

int
ECS_Client_Task::svc (void)
{
  ACE_DECLARE_NEW_CORBA_ENV;
  ACE_TRY
    {
      this->orb_->run (ACE_ENV_SINGLE_ARG_PARAMETER);
      ACE_TRY_CHECK;
    }
  ACE_CATCHANY
    {
      return -1;
    }
  ACE_ENDTRY;
  return 0;
}
